Miscellaneous other API
Other APIs that don't fit a dedicated theme.
Returns some basic information about the LRR instance this server is running.
Server info
Server info payload emitted by /api/info. Older server versions used integers instead of booleans here.
Name of the instance
MOTD of the instance
Version of the server
Version name
Version description
Whether the instance is password-protected
Whether the instance has debug mode enabled
Whether the instance has no-fun mode enabled
How many archives per page the server lists
Whether the instance auto-downsizes images before serving them
Whether the instance tracks reading progression server-side
Whether the instance requires authentication for server-side progress updates
Total amount of pages read
Total amount of archives stored on instance
Timestamp for last time the search cache was wiped
List of tag namespaces excluded from search suggestions and tag statistics
GET /api/info HTTP/1.1
Host: lrr.tvc-16.science
Accept: */*
Server info
{
"archives_per_page": 100,
"cache_last_cleared": 1728852701,
"debug_mode": true,
"has_password": false,
"name": "LANraragi",
"motd": "aye lads time to read some manga",
"nofun_mode": false,
"server_resizes_images": false,
"server_tracks_progress": true,
"authenticated_progress": false,
"total_archives": 104,
"total_pages_read": 252,
"version": "0.9.30",
"excluded_namespaces": [
"source",
"date_added"
],
"version_desc": "I'm under Japanese influence and my honor's at stake!",
"version_name": "Law (Earthlings On Fire)"
}Cleans the server's temporary folder.
Use Authorization: Bearer <base64(api_key)>
Cleanup result
Error message if something went wrong during cleanup. (The call will still return 200)
Current size of the temporary folder post-cleanup.
DELETE /api/tempfolder HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
Cleanup result
{
"operation": "cleantemp",
"error": null,
"newsize": 0,
"success": 1
}Add a URL to be downloaded by the server and added to its library.
Use Authorization: Bearer <base64(api_key)>
URL to download
Category ID to add the downloaded URL to.
URL to download
Category ID to add the downloaded URL to.
Enqueued job
URL queued for download
Bad request
POST /api/download_url HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 44
{
"url": "https://example.com",
"catid": "text"
}{
"job": 86,
"operation": "download_url",
"success": 1,
"url": "https://example.com"
}Queue a Minion job to regenerate missing/all thumbnails on the server.
Use Authorization: Bearer <base64(api_key)>
Whether to generate all thumbnails, or only the missing ones.
Enqueued job
POST /api/regen_thumbs HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
Enqueued job
{
"job": 3,
"operation": "regen_thumbnails",
"success": 1
}Metrics
The /api/info/metrics endpoint returns metrics in the Prometheus exposition format.
Last updated